Skip to main content
POST
/
split-marketplace
/
transfers
/
{transfer_id}
/
reverse
Reverse Standalone Transfer
curl --request POST \
  --url https://api-sandbox.y.uno/v1/split-marketplace/transfers/{transfer_id}/reverse \
  --header 'Content-Type: application/json' \
  --header 'PRIVATE-SECRET-KEY: <api-key>' \
  --header 'PUBLIC-API-KEY: <api-key>' \
  --header 'X-Idempotency-Key: <x-idempotency-key>' \
  --data '
{
  "account_id": "<string>",
  "reason": "<string>",
  "description": "<string>",
  "merchant_reference": "<string>"
}
'
import requests

url = "https://api-sandbox.y.uno/v1/split-marketplace/transfers/{transfer_id}/reverse"

payload = {
"account_id": "<string>",
"reason": "<string>",
"description": "<string>",
"merchant_reference": "<string>"
}
headers = {
"X-Idempotency-Key": "<x-idempotency-key>",
"PUBLIC-API-KEY": "<api-key>",
"PRIVATE-SECRET-KEY": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {
'X-Idempotency-Key': '<x-idempotency-key>',
'PUBLIC-API-KEY': '<api-key>',
'PRIVATE-SECRET-KEY': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
account_id: '<string>',
reason: '<string>',
description: '<string>',
merchant_reference: '<string>'
})
};

fetch('https://api-sandbox.y.uno/v1/split-marketplace/transfers/{transfer_id}/reverse', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "94036ceb-5cca-4384-b144-e2a5a908af77",
  "recipient_id": "e56c3329-f3d9-48e5-a677-284b147abf95",
  "amount": {
    "currency": "USD",
    "value": 100
  },
  "status": "SUCCEEDED",
  "description": "test transfer",
  "merchant_reference": "c19e858a-ffd6-4635-8a31-4f60c5becf4d",
  "metadata": [],
  "provider": null,
  "transactions": [
    {
      "code": "7ac2c5f3-7c79-4e99-b45e-aa5952620188",
      "type": "SPLIT_TRANSFER",
      "status": "SUCCEEDED",
      "provider_transfer_id": "tr_1T9eKVIiMnPsFcbbRTb8ObsZ",
      "provider_response_message": null,
      "provider_raw_response": "{\n  \"id\": \"tr_1T9eKVIiMnPsFcbbRTb8ObsZ\",\n  \"object\": \"transfer\",\n  \"amount\": 10000,\n  \"amount_reversed\": 0,\n  \"balance_transaction\": \"txn_1T9eKVIiMnPsFcbbOPnvz3xM\",\n  \"created\": 1773203107,\n  \"currency\": \"usd\",\n  \"description\": \"test transfer\",\n  \"destination\": \"acct_1T9PSQIZEg1WWTvj\",\n  \"destination_payment\": \"py_1T9eKVIZEg1WWTvjbVjmnzFK\",\n  \"livemode\": false,\n  \"metadata\": {},\n  \"reversals\": {\n    \"object\": \"list\",\n    \"data\": [],\n    \"has_more\": false,\n    \"total_count\": 0,\n    \"url\": \"/v1/transfers/tr_1T9eKVIiMnPsFcbbRTb8ObsZ/reversals\"\n  },\n  \"reversed\": false,\n  \"source_transaction\": null,\n  \"source_type\": \"card\",\n  \"transfer_group\": null\n}",
      "created_at": "2026-03-11T04:25:06.229027Z",
      "updated_at": "2026-03-11T04:25:07.917364Z"
    }
  ],
  "created_at": "2026-03-11T04:25:06.208761Z",
  "updated_at": "2026-03-11T04:25:07.928000342Z",
  "completed_at": "2026-03-11T04:25:07.927971142Z"
}
Reverse a specific standalone transfer. This endpoint allows you to fully or partially reverse a SUCCEEDED forward transfer.

Authorizations

PUBLIC-API-KEY
string
header
required
PRIVATE-SECRET-KEY
string
header
required

Headers

X-Idempotency-Key
string
required

Unique key for request idempotency.

Path Parameters

transfer_id
string
required

The unique ID of the transfer flow to reverse.

Body

application/json
account_id
string
required

The unique identifier of the account.

amount
object
reason
string

The reason for the reversal.

description
string

A human-readable description for the reversal.

merchant_reference
string

Merchant's unique identifier for tracking this reversal.

Response

OK

id
string
Example:

"TRF_7kB2mQ9xPnL4vR"

recipient_id
string<uuid>
Example:

"550e8400-e29b-41d4-a716-446655440000"

amount
object
status
string
Example:

"SUCCEEDED"

reason
string
Example:

"ORDER_CANCELLED"

description
string
Example:

"Weekly marketplace earnings"

merchant_reference
string
Example:

"TRANSFER-2026-02-15-001"

metadata
object[]
provider_data
object
created_at
string<date-time>
Example:

"2026-02-16T10:30:00Z"

updated_at
string<date-time>
Example:

"2026-02-16T10:30:15Z"

completed_at
string<date-time>
Example:

"2026-02-16T10:30:15Z"

provider
string | null
Example:

null

transactions
object[]